<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DataSources (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DataSources (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":41,"i1":41,"i2":41};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DataSources.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartSeries.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
               title="enum in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/DataSources.html" target="_top">Frames</a>
        </li>
        <li><a href="DataSources.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel.charts</div>
    <h2 title="Class DataSources" class="title">Class DataSources</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.usermodel.charts.DataSources</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">use XDDFDataSourcesFactory instead</span></div>
                </div>
                <br>
                <pre>@Deprecated
 <a href="../../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                            href="../../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public class <span class="typeNameLabel">DataSources</span>
extends java.lang.Object</pre>
                <div class="block">Class <code>DataSources</code> is a factory for <a
                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                        title="interface in org.apache.poi.ss.usermodel.charts"><code>ChartDataSource</code></a>
                    instances.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static &lt;T&gt;&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartDataSource</a>&lt;T&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/DataSources.html#fromArray-T:A-">fromArray</a></span>(T[]&nbsp;elements)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartDataSource</a>&lt;java.lang.Number&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/DataSources.html#fromNumericCellRange-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.util.CellRangeAddress-">fromNumericCellRange</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cellRangeAddress)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartDataSource</a>&lt;java.lang.String&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/DataSources.html#fromStringCellRange-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.util.CellRangeAddress-">fromStringCellRange</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cellRangeAddress)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fromArray-java.lang.Object:A-">
                            <!--   -->
                        </a><a name="fromArray-T:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromArray</h4>
                                <pre>public static&nbsp;&lt;T&gt;&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartDataSource</a>&lt;T&gt;&nbsp;fromArray(T[]&nbsp;elements)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                        <a name="fromNumericCellRange-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.util.CellRangeAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromNumericCellRange</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartDataSource</a>&lt;java.lang.Number&gt;&nbsp;fromNumericCellRange(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                                                     <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cellRangeAddress)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                        <a name="fromStringCellRange-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.util.CellRangeAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>fromStringCellRange</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartDataSource</a>&lt;java.lang.String&gt;&nbsp;fromStringCellRange(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                                                    <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cellRangeAddress)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DataSources.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartSeries.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
               title="enum in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/DataSources.html" target="_top">Frames</a>
        </li>
        <li><a href="DataSources.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
